petsc-3.7.1 2016-05-15
Report Typos and Errors

# SETERRQ2

Macro that is called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRQ2(MPI_Comm comm,PetscErrorCode errorcode,char *formatmessage,arg1,arg2)

Not Collective Many br

### Input Parameters

| comm | - A communicator, so that the error can be collective Many br
| errorcode | - nonzero error code, see the list of standard error codes in include/petscerror.h Many br
| message | - error message in the printf format Many br
| arg1 | - argument (for example an integer, string or double) Many br
| arg2 | - argument (for example an integer, string or double) Many br

Many br

### Notes

Once the error handler is called the calling function is then returned from with the given error code. Many br

Experienced users can set the error handler with PetscPushErrorHandler(). Many br

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ3()

Level:beginner
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex31.c.html